[Résolu] erreur fatale suite à mise à jour automatique wordpress 5.4.3 (Créer un compte)

  • WordPress :5.5
  • Statut : résolu
15 sujets de 1 à 15 (sur un total de 37)
  • Auteur
    Messages
  • #2357644
    EQUANIME
    Participant
    Chevalier WordPress
    190 contributions

    Bonjour,

    Ma configuration WP actuelle

    Problème(s) rencontré(s) :

    Suite à une mise à jour automatique de wordpress :

    Bonjour ! Votre site à l’adresse http://cours-particuliers-de-d<wbr />anse.com a été automatiquement mis à jour vers WordPress 5.4.3.

    Pour en savoir plus sur la version 5.4.3, lisez l’écran À Propos de WordPress :
    http://cours-particuliers-de-d<wbr />anse.com/wp-admin/about.php

    WordPress 5.5.2 est disponible. La mise à jour est facile et ne nécessite que quelques secondes :
    http://cours-particuliers-de-d<wbr />anse.com/wp-admin/update-core.<wbr />php

    Si vous rencontrez des problèmes ou avez besoin d’assistance, les volontaires du forum d’entraide de wpfr.net devraient pouvoir vous aider.
    https://wordpress.org/support/<wbr />forums/

    Pour des questions de sécurité, il est important de garder votre site à jour. Par ailleurs, cela rend le Web plus sûr pour vous et vos lecteurs.

    L’équipe WordPress

     

    Mon site affiche une erreur fatale :

    <b>Fatal error</b>: Uncaught Error: Call to undefined function is_blog_installed() in /home/courspar/www/wp-includes/load.php:606 Stack trace: #0 /home/courspar/www/wp-settings.php(161): wp_not_installed() #1 /home/courspar/www/wp-config.php(36): require_once(‘/home/courspar/…’) #2 /home/courspar/www/wp-load.php(37): require_once(‘/home/courspar/…’) #3 /home/courspar/www/wp-admin/admin.php(34): require_once(‘/home/courspar/…’) #4 /home/courspar/www/wp-admin/update-core.php(10): require_once(‘/home/courspar/…’) #5 {main} thrown in <b>/home/courspar/www/wp-includes/load.php</b> on line <b>606</b>

    <b>Fatal error</b>: Uncaught Error: Call to undefined function get_option() in /home/courspar/www/wp-includes/l10n.php:69 Stack trace: #0 /home/courspar/www/wp-includes/l10n.php(136): get_locale() #1 /home/courspar/www/wp-includes/l10n.php(756): determine_locale() #2 /home/courspar/www/wp-includes/class-wp-fatal-error-handler.php(41): load_default_textdomain() #3 [internal function]: WP_Fatal_Error_Handler->handle() #4 {main} thrown in <b>/home/courspar/www/wp-includes/l10n.php</b> on line <b>69</b>

     

    Désolé je n’ai plus accés à admin donc pas d’autres infos…

     

    Que puis-je faire ?

     

    Par avance merci.

     

    Cordialement.

     

    R. Brunaux

    #2357658
    C_Lucien
    Modérateur
    Maître WordPress
    4535 contributions

    Bonjour,

    la mise à jour pourrait avoir corrompu certains fichiers

    • commencer par activer Php 7.4 via l’interface d’administration OVH
    • via FTP sauvegarder vos fichiers .htaccess et wp-config.php
    • récupérer une archive de WordPress sur fr.wordpress.org
    • la décompresser
    • via ftp remplacer les dossiers wp-admin et wp-includes, ainsi que les fichiers .php sauf wp-config.php qui se trouvent à la racine du dossier public_html ou www
    #2357660
    ferman
    Participant
    Maître WordPress
    3517 contributions

    Bonjour,

    Désolé je n’ai plus accés à admin donc pas d’autres infos…

    Que puis-je faire ?

    En fait on n’a accès à rien sauf au message d’erreur. Deux méthodes: faire une restauration à j-?? (datant d’avant le problème) mais vous perdrez les données enregistrées entre cette période et le moment de la panne. Ou bien (bien mieux), télécharger sur votre PC une nouvelle version de wordpress et remplacer par FTP les dossiers wp-admin et wp-includes chez OVH. Voir ICI pour des cas similaires au vôtre.

     

    #2357726
    EQUANIME
    Participant
    Chevalier WordPress
    190 contributions

    Bonjour,

    Merci de votre réponse;

    J’ai fait une sauvegarde complète de ftp et des fichiers .htaccess et wp-config.php dans un dossier à part, maintenant je ne sais pas comment on fait pour  : “récupérer une archive de WordPress sur fr.wordpress.org”

    Pouvez-vous me dire comment faire ?

    Par avance merci.

    #2357728
    EQUANIME
    Participant
    Chevalier WordPress
    190 contributions

    Est-ce que je dois télécharger la version 5.5.2 ou tenter seulement la 5.4.3 ?

    #2357729
    ferman
    Participant
    Maître WordPress
    3517 contributions

    Essayez déjà 5.4.3 et mettez tout à jour (thèmes et extensions). Si ça marche, vous attendrez 24/48h que l’hébergeur ait fait une ou deux sauvegardes et passerez en 5.5.2. En cas de problème, vous pourrez revenir à la version 5.4.3 mais ce sera reculer pour mieux sauter: il faudra bien actualiser wp un jour ou l’autre.

     

    • Cette réponse a été modifiée le il y a 2 mois et 3 semaines par ferman.
    #2357731
    EQUANIME
    Participant
    Chevalier WordPress
    190 contributions

    Désolé on devrait toujours tout lire avant de répondre…

    Je suis allé voir la vidéo sur le lien forum ovh fourni et j’ai téléchargé la version 5.4.2, dois-je réinstaller la 5.4.2 ? Auquel cas, la prochaine mise à jour 5.4.3 va reproduire le bug ou tenter nouvelle version ?

    #2357736
    EQUANIME
    Participant
    Chevalier WordPress
    190 contributions

    Désolé, j’étais je crois en 5.4.2, je crois, puisque la mise à jour automatique m’a passé en 5.4.3 (Voir premier message).

    J’ai téléchargé la version 5.4.2 et j’ai remplacé par FTP les dossiers wp-admin et wp-includes, j’ai récupéré mon site.

    Merci pour tout. C’était court. Je m’attendais à pire, maintenant comment s’il y a encore une mise à jour automatique,

    Comment faire pour changer de version sans avoir de bug? Mes extensions étaient à jour.

    J’avais pourtant activé le pluggin : Enable jQuery Migrate Helper comme vous me l’aviez précédemment demandé.

    Par avance merci.

    Cordialement.

    R. Brunaux

    #2357774
    ferman
    Participant
    Maître WordPress
    3517 contributions

    Le bug est aléatoire et la prochaine mise à jour vers 5.4.3 peut très bien se passer. Je crois que le problème cette fois n’a rien à voir avec Enable jQuery Migrate Helper . Cela dit, si tous vos plugins et thèmes sont à jour, vous pouvez tenter le passage directement en 5.5.2 depuis le tableau de bord wordpress.

    Je rectifie: soyons prudent. Laissez les mises à jour successives automatiques se faire 5.4.3 puis 5.4.4… Le passage 5.5 sera à faire manuellement. 5.5.1 puis 5.5.2 se feront automatiquement.

    Je ne comprends pas comment vous pouvez avoir un message de mise à jour vers 5.4.3 alors que c’est une mise à jour automatique . Elle aurait dû être automatiquement faite depuis longtemps.

    • Cette réponse a été modifiée le il y a 2 mois et 3 semaines par ferman.
    #2357806
    EQUANIME
    Participant
    Chevalier WordPress
    190 contributions

    Je vous remercie de votre réponse…

    Le message 5.4.3 date d’hier, je n’ai pas plus d’explication.

    Je vais laisser faire… On verra…

    Merci pour tout.

    Très cordialement.

    R. Brunaux

    #2358107
    Flobogo
    Modérateur
    Maître WordPress
    16681 contributions

    Bonjour,

    Il y a eu un bug avec la version WP 5.5.2 (automatique) qui a ramené certains sites en WP 5.4.3 (voir ce topic)
    Mais ça n’a peut-être rien à voir avec votre souci …

    En tous cas, là, vous êtes en WP 5.4.2.
    Je vous conseille de passer manuellement en WP 5.4.4, et ensuite en WP 5.5.3 (remplacer wp-admin + wp-includes + tous les fichiers .php à la racine, sauf le wp-config.php). Les versions 5.4.4 et 5.5.3 sont à télécharger

    Et par ailleurs, vous devriez passer votre site en HTTPS, avec l’extension Really Simple SSL (voir ce tuto)

     

    #2358150
    EQUANIME
    Participant
    Chevalier WordPress
    190 contributions

    C’est bien à la racine ? ou  dans WWW, car je n’ai pas de .php à la racine

    ainsi que les fichiers .php sauf wp-config.php qui se trouvent à la racine du dossier public_html ou www

    #2358159
    EQUANIME
    Participant
    Chevalier WordPress
    190 contributions

    Je suis passé à 5.4.4, le site à l’air bon. Je sauvegarde via ftp la 5.4.4 et tente la 5.5.3

    #2358160
    EQUANIME
    Participant
    Chevalier WordPress
    190 contributions

    Je viens de passer en 5.5.3, ça a l’air de marcher..? Y-a t’il des choses à vérifier ? avant de passer en https ?

    #2358162
    ferman
    Participant
    Maître WordPress
    3517 contributions

    Bonjour,

    Y-a t’il des choses à vérifier ? avant de passer en https ?

    Non, il n’y a plus qu’à faire le passage et ensuite les redirections.

     

15 sujets de 1 à 15 (sur un total de 37)
  • Vous devez être connecté pour répondre à ce sujet.